Get Latency Timeseries
GET /latency/timeseriesParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
from | query | string (date-time) | null | optional | — |
to | query | string (date-time) | null | optional | — |
interval | query | hour | day | week | month | optional | Default "hour". |
phase | query | string | optional | Default "total". |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | LatencyTimeseriesView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/latency/timeseries \ -H "Authorization: Bearer $COBRE_TOKEN"Response — LatencyTimeseriesView
Section titled “Response — LatencyTimeseriesView”| Field | Type | Notes | |
|---|---|---|---|
window_start | string (date-time) | required | — |
window_end | string (date-time) | required | — |
interval | hour | day | week | month | required | — |
phase | string | required | — |
percentile_method | string | optional | Default "nearest_rank". |
points | LatencyTimeseriesPoint[] | optional | — |